## org.apache.catalina.valves
Class RemoteAddrValve

    java.lang.Object
      |
      +--org.apache.catalina.valves.ValveBase
            |
            +--org.apache.catalina.valves.RequestFilterValve
                  |
                  +--org.apache.catalina.valves.RemoteAddrValve

All Implemented Interfaces:
  Contained, Valve

public final class RemoteAddrValve
extends RequestFilterValve

Concrete implementation of `RequestFilterValve` that filters based on the string representation of the remote client's IP address.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:25:15 $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.catalina.valves.RequestFilterValve
`allow, allows, denies, deny, sm`

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, info`

Constructor Summary
`RemoteAddrValve()`

Method Summary
`java.lang.String` `getInfo()` Return descriptive information about this Valve implementation.
`void` `invoke(Request request, Response response, ValveContext context)` Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering.

Methods inherited from class org.apache.catalina.valves.RequestFilterValve
`getAllow, getDeny, precalculate, process, setAllow, setDeny`

Methods inherited from class org.apache.catalina.valves.ValveBase
`getContainer, setContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteAddrValve

    public RemoteAddrValve()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Valve implementation.

  Specified by:
    `getInfo` in interface `Valve`
  Overrides:
    `getInfo` in class `RequestFilterValve`

### invoke

    public void invoke(Request request,
                       Response response,
                       ValveContext context)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering. This method must be implemented by a concrete subclass.

  Specified by:
    `invoke` in interface `Valve`
  Specified by:
    `invoke` in class `RequestFilterValve`
  Parameters:
    `request` - The servlet request to be processed
    `response` - The servlet response to be created
    `context` - The valve context used to invoke the next valve in the current processing pipeline
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet error occurs

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.